# $Revision: 1.33 $, $Date: 2009/08/21 07:50:40 $
# TODO:
# - tests fails, when build with servletapi built on th builders.
# - everything is ok, when build with servletapi built on my laptop. WTF???
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java

%define		srcname commons-fileupload
Summary:	Commons FileUpload component for Java servlets
Summary(pl.UTF-8):	Komponent Commons FileUpload dla serwletów Javy
Name:		java-commons-fileupload
Version:	1.2.1
Release:	2
License:	Apache v2
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/fileupload/source/commons-fileupload-%{version}-src.tar.gz
# Source0-md5:	c2bdb9264aec564e3f4fbbdf4344a844
Patch0:		%{name}-noget.patch
URL:		http://commons.apache.org/fileupload/
BuildRequires:	ant-junit >= 1.5
BuildRequires:	java(Portlet) = 1.0
BuildRequires:	java(Servlet) >= 2.4
BuildRequires:	java-commons-io
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
BuildRequires:	java-junit >= 3.8.1
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(Portlet) = 1.0
Requires:	java(Servlet) >= 2.4
Requires:	java-commons-io
Requires:	jpackage-utils
Provides:	jakarta-commons-fileupload
Obsoletes:	jakarta-commons-fileupload
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FileUpload component provides a simple yet flexible means of
adding support for multipart file upload functionality to servlets and
web applications.

%description -l pl.UTF-8
Komponent FileUpload udostępnia proste, ale elastyczne środki do
dodawania funkcjonalności uploadu wieloczęściowych plików do serwletów
i aplikacji WWW.

%package javadoc
Summary:	Commons FileUpload documentation
Summary(pl.UTF-8):	Dokumentacja do Commons FileUpload
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-fileupload-javadoc
Obsoletes:	jakarta-commons-fileupload-doc
Obsoletes:	jakarta-commons-fileupload-javadoc

%description javadoc
Commons FileUpload documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons FileUpload.

%prep
%setup -q -n commons-fileupload-%{version}-src
%patch0 -p1

%build
required_jars="junit portlet-api-1.0 servlet-api commons-io"
CLASSPATH=$(build-classpath $required_jars)

%ant jar \
	-Dbuild.sysclasspath=first \
	-Dfinal.name=commons-fileupload-%{version}

%if %{with javadoc}
%ant javadoc \
	-Dfinal.name=commons-fileupload-%{version}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# install jars
cp -a target/commons-fileupload-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s commons-fileupload-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-fileupload.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-fileupload.spec,v $
Revision 1.33  2009/08/21 07:50:40  pawelz
- rel 2

Revision 1.32  2009/08/21 07:35:30  pawelz
- unified java deps and required jar names
- dropped export CLASSPATH. It is not needed since %ant macro passes CLASSPATH
  env variable to ant
- sorted BRs

Revision 1.31  2009/05/18 13:45:53  pawelz
- conditional JDK bconds
- drop -Dbuild.classpath (no longer needed)

Revision 1.30  2009/03/15 23:52:34  pawelz
- cosmetics
- rel 1 (ufff, at last it builds and works)

Revision 1.29  2009/03/15 23:41:52  pawelz
- do not package well known Apache 2 license

Revision 1.28  2009/03/15 23:35:46  pawelz
- fix javadoc generation

Revision 1.27  2009/03/15 23:28:55  pawelz
- javadoc hacks
- jdk deps
- java_sun bcond

Revision 1.26  2009/03/15 23:13:29  pawelz
- set build.sysclasspath=first property

Revision 1.25  2009/03/15 19:47:57  pawelz
- decreased rel as it does not build (see TODO, it is *STRANGE*)

Revision 1.24  2009/03/15 19:42:16  pawelz
- BR: servletapi = 2.4
- BR: portletapi = 1.0
- sorted R

Revision 1.23  2009/03/15 19:38:12  pawelz
- up to 1.2.1
- R: servletapi = 2.4
- R: portletapi = 1.0

Revision 1.22  2009/03/15 00:01:49  pawelz
- rel 4

Revision 1.21  2009/03/14 23:51:40  pawelz
- Patch noget (do not download deps)
- dropped R: jre
- added R: java-commons-io, servletapi >=2.3
- correct dir for javadoc

Revision 1.20  2009/01/23 17:29:08  pawelz
- ghost symlink for javadoc

Revision 1.19  2009/01/23 17:25:57  pawelz
- there is no such package "java-servletapi". BR servletapi provided by
  java-servletapi5.spec and jakarta-servletapi.spec

Revision 1.18  2008/12/25 22:02:07  pawelz
- added Provides/Obsoletes old name

Revision 1.17  2008/12/25 20:43:29  pawelz
- it is no longer part of Jakarta project
- new URLs

Revision 1.16  2008/11/23 23:41:12  glen
- rename to java-commons-fileupload.spec

Revision 1.15  2007-04-11 17:02:46  glen
- without api/ subdir in -javadoc

Revision 1.14  2007/04/11 17:00:14  glen
- unify java package (there's template-java.spec now)
- add todo (i failed)

Revision 1.13  2007/04/11 15:50:04  baggins
- rel 3
- updated BRs

Revision 1.12  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.10  2006/12/13 20:14:30  blekot
- fixed ln -s

Revision 1.9  2006/07/25 21:17:46  qboosh
- updated for jpackage-utils

Revision 1.8  2006/07/24 18:47:11  czarny
- up to 1.1.1
- BR: ant(junit) -> ant-junit

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.5  2005/05/08 18:45:55  qboosh
- updated to final 1.0 release, removed obsolete build patch
- needs ant with junit support

Revision 1.4  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.3  2004/08/31 17:26:47  snurf
- typos

Revision 1.2  2003/06/26 16:25:52  qboosh
- description

Revision 1.1  2003/06/25 11:21:42  pascalek
- initial release
